# Manuale dell'utente di &kde;

2008-10-03
0.01.01
meinproc4
8

# `meinproc4`

Traduttore per XML di &kde;

## Sintassi

    meinproc4 --help opzioni_generiche opzioni_Qt opzioni_KDE --cache file --check --htdig --srcdir --param chiave=valore   -o --output  file  --stdout --stylesheet xsl file_docbook

## Descrizione

`meinproc4` converte i file DocBook in HTML.

## Opzioni generiche

`--author`

  Mostra le informazioni sull'autore.

`--help`

  Mostra la guida sulle opzioni.

`--help-all`

  Mostra tutte le opzioni.

`--help-kde`

  Mostra le opzioni specifiche per &kde;.

`--help-qt`

  Mostra le opzioni specifiche per &Qt;.

`--license`

  Mostra le informazioni sulla licenza.

`-v``--version`

  Mostra le informazioni sulla versione.

## Opzioni dell'applicazione

`--cache` `file`

  Crea un file di cache per il documento

`--check`

  Controlla la validità del documento

      L'output può essere un po' confuso, perché un errorino può causare una cascata di errori.
      Il trucco è cercare il primo errore, correggerlo, salvare il file, e far ripartire meinproc4.

`--htdig`

  Crea un indice compatibile con ht://dig

`-o`, `--output` `file`

  Metti l'intero documento su `file`.

`--stdout`

  Metti l'intero documento sul flusso stdout.

`--stylesheet` `xsl`

  Foglio di stile da usare

`--srcdir` `cartella`

  Imposta la cartella radice in cui cercare kdelibs

`--param` chiave=valore

  Imposta i parametri da passare al foglio di stile.

## Uso

Il modo più comune di eseguire `meinproc4` è semplicemente come

    meinproc4 file_docbook

dove file_docbook è di solito `index.docbook`. Questo comando crea pagine HTML dal file DocBook. Nota che queste pagine sono visibili solo in browser basati su &kde; (come &konqueror;).

Se devi vedere il risultato HTML in un altro browser (per esempio, se lo metti in rete), usa

    meinproc4 --stylesheet nome_foglio_di_stile file_docbook

where nome_foglio_di_stile è il percorso completo a uno dei fogli di stile XSL in `$`KDEDIR`/share/apps/ksgmltools/customization`. Per produrre documenti adatti al Web, puoi usare `kde-web.xsl` o `kde-chunk-online.xsl`. Vedi il file `README` in quella cartella per maggiori dettagli.

## Vedi anche

kdeoptions(7), qtoptions(7)

## Errori

Probabilmente ce ne sono a bizzeffe. Usa bugs.kde.org per segnalarli.